<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Sleeve](./bitburner.sleeve.md) &gt; [getTask](./bitburner.sleeve.gettask.md)

## Sleeve.getTask() method

Get task of a sleeve.

<b>Signature:</b>

```typescript
getTask(sleeveNumber: number): SleeveTask;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  sleeveNumber | number | Index of the sleeve to retrieve task from. |

<b>Returns:</b>

[SleeveTask](./bitburner.sleevetask.md)

Object containing information the current task that the sleeve is performing.

## Remarks

RAM cost: 4 GB

Return the current task that the sleeve is performing. type is set to “Idle” if the sleeve isn’t doing anything.

